Subject: Re: bug#23182: 25.0.92; Emacs hangs if you :propertize a minor-mode lighter with a display property

From: Eli Zaretskii <[email-masked]>
Date: Fri, 01 Apr 2016 20:47:24 +0300

> From: Artur Malabarba <[email-masked]>
> Date: Fri, 01 Apr 2016 10:45:43 -0300
> 
> 
> >From emacs -q evaluate the following:
> 
>     (define-minor-mode buggy nil t (:propertize "HI" display "there"))
> 
> Emacs will hang completely (`C-g' does nothing and I'm forced to `kill
> -9' it).

I believe this is bug #23091, which was fixed on the emacs-25 branch a
week ago.  In any case, I cannot reproduce this on the current
emacs-25 branch.  (Emacs 25.0.92 aborts due to an assertion violation,
in the code which was fixed as part of fixing the above-mentioned
bug.)